package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 考核说明配置对象 app_examination_instructions
 * 
 * @author ruoyi
 * @date 2025-03-05
 */
public class AppExaminationInstructions extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long examinationInstructionsId;

    /** 说明类型 */
    @Excel(name = "说明类型")
    private String examinationInstructionsType;

    /** 说明文本 */
    @Excel(name = "说明文本")
    private String examinationInstructionsText;

    /** 删除标志 */
    private Integer delFlag;

    public void setExaminationInstructionsId(Long examinationInstructionsId) 
    {
        this.examinationInstructionsId = examinationInstructionsId;
    }

    public Long getExaminationInstructionsId() 
    {
        return examinationInstructionsId;
    }
    public void setExaminationInstructions类型(String examinationInstructions类型) 
    {
        this.examinationInstructionsType = examinationInstructions类型;
    }

    public String getExaminationInstructions类型() 
    {
        return examinationInstructionsType;
    }
    public void setExaminationInstructionsText(String examinationInstructionsText) 
    {
        this.examinationInstructionsText = examinationInstructionsText;
    }

    public String getExaminationInstructionsText() 
    {
        return examinationInstructionsText;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("examinationInstructionsId", getExaminationInstructionsId())
            .append("examinationInstructions类型", getExaminationInstructions类型())
            .append("examinationInstructionsText", getExaminationInstructionsText())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
